- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/suspend.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/suspend.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/suspend.md.txt#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/suspend.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/suspend.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/suspend.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/suspend.md.txt#body.aspect_1)

Suspend a Rollout.

### HTTP request

`POST https://configdelivery.googleapis.com/v1beta/{name=projects/*/locations/*/fleetPackages/*/rollouts/*}:suspend`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the Rollout. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reason": string } ``` |

| Fields ||
|---|---|
| `reason` | `string` Optional. Reason for suspension. |

### Response body

If successful, the response body contains an instance of `Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `configdelivery.rollouts.suspend`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).